# PCLITelnet Class Reference

Command Line Interpreter over Telnet sockets. More...

`#include <cli.h>`

Inheritance diagram for PCLITelnet:

List of all members.

## Public Member Functions

Construction
| PCLITelnet (WORD port=0, const char *prompt=NULL, bool singleThreadForAll=false)

## Protected Member Functions

virtual PTCPSocket * | CreateSocket ()

## Detailed Description

Command Line Interpreter over Telnet sockets.

This class allows for access and automatic creation of command line interpreter contexts from incoming Telnet connections on a listening port.

## Constructor & Destructor Documentation

PCLITelnet::PCLITelnet | ( | WORD | port = `0`,
|  | const char * | prompt = `NULL`,
|  | bool | singleThreadForAll = `false` |
| ) |  |  |

## Member Function Documentation

virtual PTCPSocket* PCLITelnet::CreateSocket | ( |  | ) | `[protected, virtual]`

Reimplemented from PCLISocket.

The documentation for this class was generated from the following file:

- cli.h